katello-agent should be installed through provided Satellite 6 kickstart files
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1118764

Description of problem:

The provided kickstart files in Satellite 6 install Puppet, but not katello-agent. Katello-agent should be installed by default too, since it
provides significant parts of the realtime management features of Satellite 6.

Version-Release number of selected component (if applicable):
Public beta, 6.0.3

How reproducible:

Steps to Reproduce:

1. install satellite 6 and sync server and rh-common repos
2. kickstart new vm

3.

Actual results:
Only Puppet is installed

Expected results:
Puppet and katello-agent are installed; goferd is running

Additional info:

Associated revisions

Revision a3¢c60438 - 07/29/2014 11:16 AM - Stephen Benjamin

fixes #6811 - install katello-agent during kickstart

This ensures that katello-agent is automatically installed on new hosts.
Revision 8c0288e9 - 07/29/2014 06:24 PM - Eric Helms

Merge pull request #4494 from stbenjam/6811

fixes #6811 - install katello-agent during kickstart

Revision d50e039e - 08/21/2014 02:35 PM - Stephen Benjamin

refs #6811 - install katello agent during install w/o service start

Revision 3d9a1883 - 08/21/2014 05:46 PM - Stephen Benjamin
Merge pull request #4602 from stbenjam/6811-part2

refs #6811 - install katello agent during install w/o service start
History

#1 - 07/29/2014 04:17 AM - Stephen Benjamin
- Project changed from Foreman to Katello

- Triaged set to No

#2 - 07/29/2014 04:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4494 added
- Pull request deleted ()

#3 - 07/29/2014 07:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|a3c604381deb18ad63d4c189ce3471629201afe6.

#4 - 08/01/2014 08:06 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
